Get general billing statistics summary
GET
/openapi/reporting/billinggeneral
const url = 'https://open-api.replyco.com/openapi/reporting/billinggeneral';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/reporting/billinggeneral \ --header 'Authorization: Bearer <token>'Returns comprehensive billing metrics for the specified period.
Statistics included:
- Total billable items
- Breakdown by type (tickets/chats)
- Channel distribution
- Period comparisons
- Usage trends
Use cases:
- Billing overview
- Invoice preparation
- Usage analysis
- Budget forecasting
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
string format: date-time
Start date for billing period (optional)
to
string format: date-time
End date for billing period (optional)
Responses
Section titled “Responses”Returns general billing statistics
Invalid date parameters
User is not authenticated or authorized